| LUFA Library 140302 |

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_Descriptor_Interface_Association_t Struct Reference
USB Descriptors

Standard USB Interface Association Descriptor (LUFA naming conventions). More...

`#include <StdDescriptors.h>`

## Data Fields
uint8_t | Class
uint8_t | FirstInterfaceIndex
USB_Descriptor_Header_t | Header
uint8_t | IADStrIndex
uint8_t | Protocol
uint8_t | SubClass
uint8_t | TotalInterfaces

## Detailed Description

Type define for a standard Interface Association Descriptor. This structure uses LUFA-specific element names to make each element's purpose clearer.

This descriptor has been added as a supplement to the USB2.0 standard, in the ECN located at http://www.usb.org/developers/docs/InterfaceAssociationDescriptor_ecn.pdf. It allows composite devices with multiple interfaces related to the same function to have the multiple interfaces bound together at the point of enumeration, loading one generic driver for all the interfaces in the single function. Read the ECN for more information.

See also
  USB_StdDescriptor_Interface_Association_t for the version of this type with standard element names.

Note
  Regardless of CPU architecture, these values should be stored as little endian.

## Field Documentation

uint8_t USB_Descriptor_Interface_Association_t::Class

Interface class ID.

uint8_t USB_Descriptor_Interface_Association_t::FirstInterfaceIndex

Index of the first associated interface.

USB_Descriptor_Header_t USB_Descriptor_Interface_Association_t::Header

Descriptor header, including type and size.

uint8_t USB_Descriptor_Interface_Association_t::IADStrIndex

Index of the string descriptor describing the interface association.

uint8_t USB_Descriptor_Interface_Association_t::Protocol

Interface protocol ID.

uint8_t USB_Descriptor_Interface_Association_t::SubClass

Interface subclass ID.

uint8_t USB_Descriptor_Interface_Association_t::TotalInterfaces

Total number of associated interfaces.

The documentation for this struct was generated from the following file:

- Drivers/USB/Core/StdDescriptors.h